Bug 700766 - syslog-ng-3.4.0alpha3 is available
syslog-ng-3.4.0alpha3 is available
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: syslog-ng (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On: 863719
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-29 06:56 EDT by Upstream Release Monitoring
Modified: 2012-11-30 04:45 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 04:45:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2011-04-29 06:56:37 EDT
Latest upstream release: 3.3.0alpha2
Current version in Fedora Rawhide: 3.2.3
URL: http://www.balabit.com/downloads/files/syslog-ng/sources/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Jose Pedro Oliveira 2011-05-02 01:33:34 EDT
syslog-ng 3.3 git commits:

 *  http://git.balabit.hu/?p=bazsi/syslog-ng-3.3.git;a=shortlog

syslog-ng 3.4 git commits:

 * http://git.balabit.hu/?p=bazsi/syslog-ng-3.4.git;a=shortlog
Comment 2 Jose Pedro Oliveira 2011-05-04 18:41:46 EDT
New requirements for v3.3:

 * libivykis async I/O-assisting library
   http://sourceforge.net/projects/libivykis/
   (not available in the Fedora repos; needs to be packaged)

 * JSON library
   (json-c RPMS already available in the Fedora repos; are these the ones?)

 * mongodb
   (mongodb RPMS are available in the Fedora repos)
Comment 3 Jose Pedro Oliveira 2011-05-14 17:24:12 EDT
(In reply to comment #2)
> 
>  * JSON library
>    (json-c RPMS already available in the Fedora repos; are these the ones?)

Upstream commit: http://git.balabit.hu/?p=bazsi/syslog-ng-3.3.git;a=commit;h=e9f20f8c79d0005c3d12c3e72970631382fee35d
----------
tfjson: Support either json-c or json-glib.

Add the ability to build the module with either json-c, or json-glib
(version 0.12 or later). If both are present, we'll prefer json-c.

You can use the --with-json configure option to specify which JSON
implementation to use.
----------
Comment 4 Jose Pedro Oliveira 2011-05-23 23:57:15 EDT
Version 3.3.0 Beta 1 is out:

 * http://www.balabit.com/downloads/files?path=/syslog-ng/sources/3.3.0beta1/source/syslog-ng_3.3.0beta1.tar.gz
Comment 5 Upstream Release Monitoring 2011-08-15 07:01:11 EDT
Latest upstream release: 3.3.0beta2
Current version in Fedora Rawhide: 3.2.4
URL: http://www.balabit.com/downloads/files/syslog-ng/sources/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 6 Upstream Release Monitoring 2011-10-02 06:59:11 EDT
Latest upstream release: 3.3.1
Current version in Fedora Rawhide: 3.2.4
URL: http://www.balabit.com/downloads/files/syslog-ng/sources/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 7 Jose Pedro Oliveira 2011-10-05 22:10:48 EDT
First "alpha" and untested SRPM of syslog-ng 3.3.1 for systemd Fedora systems:

 * http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.1-0.5.fc15.src.rpm

Changes and/or caveats:

 * Build requires openssl-devel even though we disable SSL (--disable-ssl)
   
   Fedora 15 build error if the openssl-devel package isn't available:
   #.libs/tlstransport.o
   #crypto.c:32:26: fatal error: openssl/rand.h: No such file or directory

 * Build requires json-c-devel in order to enable JSON support

 * Mongo support: uses the mongo client source code included in the
   syslog-ng tarball; it should use the distribution mongo client RPMS instead;
   configure auto setting
   
 * ivykis: uses the source code included in the syslog-ng tarball; ivykis should
   be packaged separately; configure auto setting

Note: I believe the included ivykis and mongodb source code have patches not available in the upstream projects. TODO: confirm this with the Balabit syslog-ng developers.

/jpo
Comment 8 Jose Pedro Oliveira 2011-10-06 09:10:35 EDT
Feedback from Peter Czanik (Balabit):

- I'll check the ssl problem, I did not experience this on openSUSE &
FreeBSD, but both have SSL enabled or at least available at build time
(ssl is part of the FreeBSD base system)

- json: works also with glib-sjon

- mongodb: it's an in-house development, as the official mongodb c
client is broken in many aspects. so it does not have any external
dependencies and right now (other than what syslog-ng has) and only
syslog-ng is using it.

- ivykis: it's a fork of the official ivykis, and while most of the
changes are already upstreamed, it does not work yet with upstream ivykis


Patch for the OpenSSL build problem:

- [syslog-ng] [PATCH] Fix compilation without OpenSSL
  https://lists.balabit.hu/pipermail/syslog-ng/2011-October/017418.html
Comment 9 Jose Pedro Oliveira 2011-10-15 21:51:05 EDT
New untested srpm (it builds in mock):
 * http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.2-0.1.fc15.src.rpm

Changelog:
 * BR json-glib-devel instead of json-c-devel (test build)
 * use a syslog-ng 3.3 git tarball
   (syslog-ng-3.3-1318708991-a1f739964ac574b9a3fdb91981b5ab8d76775f35.tar.gz)

Notes:
* git tarball created with the script make-sng-pkg.sh
  (https://lists.balabit.hu/pipermail/syslog-ng/2011-October/017398.html ;
   http://packages.madhouse-project.org/syslog-ng/make-sng-pkg.sh)

  realpath tarball download from the debian site
  (http://packages.debian.org/source/stable/realpath)

/jpo
Comment 10 Jose Pedro Oliveira 2011-10-16 15:17:54 EDT
JSON C libraries packaging status in Fedora and EPEL:

             F14       F15       F16       EPEL5     EPEL6

json-c       0.9       0.9       0.9       0.9       0.9

json-glib    0.10.4    0.12.0    0.14.0    NA        NA
Comment 11 Upstream Release Monitoring 2011-11-14 06:59:56 EST
Latest upstream release: 3.3.2
Current version in Fedora Rawhide: 3.2.5
URL: http://www.balabit.com/downloads/files/syslog-ng/sources/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 12 Jose Pedro Oliveira 2011-11-14 14:18:04 EST
New SRPM (builds in mock):
 * http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.2-1.fc15.src.rpm

Changes:
 - Update to 3.3.2 final
 - Updated the tarball URL
 - New configure option: --with-systemdsystemunitdir
 - JSON support enabled via json-c
Comment 13 Jose Pedro Oliveira 2011-11-14 14:20:53 EST
(In reply to comment #12)
> New SRPM (builds in mock):
>  * http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.2-1.fc15.src.rpm
> 
> Changes:
>  - Update to 3.3.2 final
>  - Updated the tarball URL
>  - New configure option: --with-systemdsystemunitdir
>  - JSON support enabled via json-c

Known problems:
 * [syslog-ng] syslog-ng 3.3.2 seg faulting sending message via tcp
   https://lists.balabit.hu/pipermail/syslog-ng/2011-November/017691.html
Comment 15 Jose Pedro Oliveira 2011-12-14 13:55:46 EST
TODO:

 * Configuration file syslog-ng.conf
   - change unix-stream("/dev/log") to unix-dgram("dev/log") or
   - start using the system() source
     (see https://bugzilla.redhat.com/show_bug.cgi?id=742624#c28)
     caveats: requires new SELinux policies

 * Add patch: http://git.balabit.hu/?p=bazsi/syslog-ng-3.3.git;a=commit;h=606c8cc0b10aa4e877f70726b707402d100bb0f9
Comment 16 Jose Pedro Oliveira 2012-01-15 23:12:53 EST
New SRPM:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.3-2.fc16.src.rpm

Changelog:
* Mon Jan 16 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.3.3-2
- Fix the freeze problems caused by the /dev/log unix socket type mismatch (#742624)
  + syslog-ng.conf: change /dev/log from unix-stream to unix-dgram
  + upstream patch syslog-ng-3.3.4-afunix.c-diagnostic-messages.patch
- Move the SCL files to the main RPM (#742624 comments >= 28)
- Drop the sysconfig configuration file (use syslog-ng.service instead)
- Make the syslog-ng.service file a configuration file
- Drop Vim 7.2 support
- Improve test coverage: remove a couple of errors and really run the SQL test.
  Patches: syslog-ng-3.2.5-tests-functional-control.py.patch and
  syslog-ng-3.3.3-tests-functional-sql-test.patch
Comment 18 Upstream Release Monitoring 2012-03-13 15:48:15 EDT
Latest upstream release: 3.4.0alpha1
Current version in Fedora Rawhide: 3.2.5
URL: http://www.balabit.com/downloads/files/syslog-ng/sources/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 19 Jose Pedro Oliveira 2012-04-27 09:20:25 EDT
For Fedora >= 17 (/usr-move compliant):

 * syslog-ng-3.3.5-1.fc17.src.rpm
Comment 20 Jose Pedro Oliveira 2012-04-27 09:21:02 EDT
(In reply to comment #19)
> For Fedora >= 17 (/usr-move compliant):
> 
>  * syslog-ng-3.3.5-1.fc17.src.rpm

URL: http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.5-1.fc17.src.rpm
Comment 21 Upstream Release Monitoring 2012-05-02 07:05:16 EDT
Latest upstream release: 3.4.0alpha2
Current version in Fedora Rawhide: 3.2.5
URL: http://www.balabit.com/downloads/files/syslog-ng/sources/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 22 Jose Pedro Oliveira 2012-06-29 07:53:48 EDT
Pré-release version of syslog-ng 3.3.6:

 * http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-0.0.2.fc17.src.rpm

Contents (rpm -qpl syslog-ng-3.3.6-0.0.2.fc17.src.rpm):
----------
syslog-ng-3.2.5-tests-functional-control.py.patch
syslog-ng-3.3.5-20120627-v3.3.5-22-gc4037.tar.gz
syslog-ng-3.3.6-syslog-ng.service.patch
syslog-ng-3.3.6-tests-functional-sql-test.patch
syslog-ng.conf
syslog-ng.logrotate
syslog-ng.spec
----------

Notes:
 * based on the upstream tarball syslog-ng-3.3.5-20120627-v3.3.5-22-gc4037.tar.gz
   (http://packages.madhouse-project.org/syslog-ng/3.3/)
 * this tarball only builds with the internal version of the library ivykis; future 3.3.6 pré-release tarballs are expected to build with an external version of the ivykis library (>= 0.30)

/jpo
Comment 23 Upstream Release Monitoring 2012-06-30 06:27:22 EDT
Latest upstream release: 3.4.0alpha3
Current version in Fedora Rawhide: 3.2.5
URL: http://www.balabit.com/downloads/files/syslog-ng/sources/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 24 Jose Pedro Oliveira 2012-07-02 08:47:44 EDT
First set of experimental RPMS of syslog-ng 3.3.6 (pre-release) using a external version of the ivykis library are now available:

SRPMS:
http://um-pe09-2.di.uminho.pt/fedora/ivykis-0.30-0.3.fc17.src.rpm
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-0.1.4.fc17.src.rpm

Binary RPMS for Fedora 17:
http://um-pe09-2.di.uminho.pt/fedora/build.logs/

Note: the above ivykis SRPM includes a critical patch

Future work:
Final SRPMS will be available as soon as the upstream ivykis project releases
version 0.30.1 (or 0.31) and Balabit releases the final tarball of syslog-ng 3.3.6. Meanwhile feel free to start testing the above RPMS.  Feedback is always welcome.

/jpo
Comment 25 Matthias Runge 2012-07-03 03:31:50 EDT
I tried the RPMs from above.

[root@mrungexp Downloads]# service syslog-ng restart
Redirecting to /bin/systemctl  restart syslog-ng.service
Warning: Unit file of created job changed on disk, 'systemctl --system daemon-reload' recommended.
[root@mrungexp Downloads]# systemctl --system daemon-reload

Is there some %post-scripting required? systemctl --system daemon-reload?
Comment 26 Jose Pedro Oliveira 2012-07-03 06:32:51 EDT
(In reply to comment #25)
> I tried the RPMs from above.
> 
> [root@mrungexp Downloads]# service syslog-ng restart
> Redirecting to /bin/systemctl  restart syslog-ng.service
> Warning: Unit file of created job changed on disk, 'systemctl --system
> daemon-reload' recommended.
> [root@mrungexp Downloads]# systemctl --system daemon-reload
> 
> Is there some %post-scripting required? systemctl --system daemon-reload?

As the upstream systemd service file has been updated, it is better to add the systemctl daemon-reload command to the upgrade scriptlet. I'll update the specfile in a few minutes.


Upstream changes (from v3.2.5 to v3.3.6git):
----------
-- ./syslog-ng-3.2.5/contrib/systemd/syslog-ng.service	2011-10-23 07:48:18.000000000 +0100
+++ ./syslog-ng-3.3.6-git/contrib/systemd/syslog-ng.service	2012-07-01 23:00:10.000000000 +0100
@@ -1,12 +1,13 @@
 [Unit]
 Description=System Logger Daemon
+Documentation=man:syslog-ng(8)
 
 [Service]
 Sockets=syslog.socket
-ExecStartPre=/bin/systemctl stop systemd-kmsg-syslogd.service
 ExecStart=/usr/sbin/syslog-ng -F
 ExecReload=/bin/kill -HUP $MAINPID
 StandardOutput=null
 
 [Install]
 WantedBy=multi-user.target
+Alias=syslog.service
----------
Comment 27 Jose Pedro Oliveira 2012-07-03 07:52:08 EDT
New release:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-0.2.1.fc17.src.rpm


Binary ivykis and syslog-ng RPMS for Fedora 17 available:
http://um-pe09-2.di.uminho.pt/fedora/build.logs/


Specfile changelog:
----------
* Tue Jul  3 2012 Jose Pedro Oliveira <jpo at di.uminho.pt> - 3.3.6-0.2.1
 - Unconditionally run "systemctl daemon-reload" on the %%postun scriptlet
   (https://bugzilla.redhat.com/show_bug.cgi?id=700766#c25)
 - Require at least ivykis 0.30.1
Comment 28 Jose Pedro Oliveira 2012-07-04 06:20:30 EDT
New release:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-0.3.0.fc17.src.rpm

Changelog:
 * Upstream tarball syslog-ng-3.3.5.90-20120704-v3.3.5-34-g44587.tar.gz
Comment 29 Sebastien Pasche 2012-08-14 07:52:56 EDT
Hello just download the latest release of the src rpm and the last release of ivykis from Jose repository.

What I have installed

Installing:
 ivykis           x86_64           0.30.1-1.fc17           /ivykis-0.30.1-1.fc17.x86_64            73 k

Installing:
 syslog-ng        x86_64        3.3.6-0.3.0.fc17        /syslog-ng-3.3.6-0.3.0.fc17.x86_64        2.1 M
Installing for dependencies:
 eventlog         x86_64        0.2.12-5.fc17           fedora                                     18 k
 libnet           x86_64        1.1.5-3.fc17            fedora                                     54 k

Installing:
 syslog-ng-libdbi    x86_64    3.3.6-0.3.0.fc17      /syslog-ng-libdbi-3.3.6-0.3.0.fc17.x86_64     56 k
Installing for dependencies:
 libdbi              x86_64    0.8.3-5.fc17          fedora                                       598 k

When I try to enable the service I obtain this message

[root@mgblcof01 ~]# systemctl enable syslog-ng.service
Failed to issue method call: File exists


When I try to run syslog-ng out  of the box I obtain this message : 

[root@mgblcof01 ~]# syslog-ng
Error opening plugin module; module='afsocket', error='libsyslog-ng-crypto.so: cannot open shared object file: No such file or directory'
Your configuration file uses an obsoleted keyword, please update your configuration; keyword='long_hostnames', change='chain_hostnames'
Error parsing source, source plugin unix-dgram not found in /etc/syslog-ng/syslog-ng.conf at line 24, column 2:

	unix-dgram ("/dev/log");
	^^^^^^^^^^

syslog-ng documentation: http://www.balabit.com/support/documentation/?product=syslog-ng
mailing list: https://lists.balabit.hu/mailman/listinfo/syslog-ng

when I show version

[root@mgblcof01 ~]# syslog-ng --version
syslog-ng 3.3.5.90
Installer-Version: 3.3.5.90
Revision: 
Compile-Date: Aug 14 2012 12:05:47
Default-Modules: affile,afprog,afsocket,afuser,basicfuncs,csvparser,dbparser,syslogformat,afsql
Error opening plugin module; module='afsocket-tls', error='libsyslog-ng-crypto.so: cannot open shared object file: No such file or directory'
Error opening plugin module; module='afsocket', error='libsyslog-ng-crypto.so: cannot open shared object file: No such file or directory'
Error opening plugin module; module='afsocket-notls', error='//usr/lib64/syslog-ng/libafsocket-notls.so: undefined symbol: tls_context_setup_session'
Available-Modules: dbparser,afuser,syslogformat,afprog,confgen,csvparser,affile,dummy,basicfuncs,afmongodb,tfjson,afsql,convertfuncs
Enable-Debug: off
Enable-GProf: off
Enable-Memtrace: off
Enable-IPv6: on
Enable-Spoof-Source: on
Enable-TCP-Wrapper: on
Enable-Linux-Caps: on
Enable-Pcre: on

Will work on it a little then I post my discovery !
Comment 30 Sebastien Pasche 2012-08-14 08:17:44 EDT

I can find the libs in the rpm sources
./lib/.libs/libsyslog-ng-crypto.so
./lib/.libs/libsyslog-ng-crypto.lai

And on the final system, the lib seem to be installed :

[root@mgblcof01 ~]# find / -iname "libsyslog*"
/usr/lib64/libsyslog-ng-3.3.5.90.so
/usr/lib64/syslog-ng/libsyslogformat.so
/usr/lib64/syslog-ng/libsyslog-ng-crypto.so



When I try to see the lib /usr/lib64/syslog-ng/libafsocket-tls.so is using :

[root@mgblcof01 syslog-ng]# ldd libafsocket-tls.so 
	linux-vdso.so.1 =>  (0x00007fff79bff000)
	libsyslog-ng-3.3.5.90.so => /lib64/libsyslog-ng-3.3.5.90.so (0x00007f07ef59c000)
	libsyslog-ng-crypto.so => not found
	libssl.so.10 => /lib64/libssl.so.10 (0x00007f07ef340000)
	libcrypto.so.10 => /lib64/libcrypto.so.10 (0x00007f07eefa6000)
	libnet.so.1 => /lib64/libnet.so.1 (0x00007f07eed8d000)
	libwrap.so.0 => /lib64/libwrap.so.0 (0x00007f07eeb81000)
	libpthread.so.0 => /lib64/libpthread.so.0 (0x00007f07ee965000)
	libc.so.6 => /lib64/libc.so.6 (0x00007f07ee5ae000)
	libnsl.so.1 => /lib64/libnsl.so.1 (0x00007f07ee394000)
	libgmodule-2.0.so.0 => /lib64/libgmodule-2.0.so.0 (0x00007f07ee190000)
	libgthread-2.0.so.0 => /lib64/libgthread-2.0.so.0 (0x00007f07edf8e000)
	librt.so.1 => /lib64/librt.so.1 (0x00007f07edd85000)
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x00007f07eda66000)
	libevtlog.so.0 => /lib64/libevtlog.so.0 (0x00007f07ed861000)
	libcap.so.2 => /lib64/libcap.so.2 (0x00007f07ed65c000)
	libpcre.so.0 => /lib64/libpcre.so.0 (0x00007f07ed402000)
	libdl.so.2 => /lib64/libdl.so.2 (0x00007f07ed1fe000)
	libivykis.so.0 => /lib64/libivykis.so.0 (0x00007f07ecff1000)
	/lib64/ld-linux-x86-64.so.2 (0x0000003dc1400000)
	libgssapi_krb5.so.2 => /lib64/libgssapi_krb5.so.2 (0x00007f07ecdad000)
	libkrb5.so.3 => /lib64/libkrb5.so.3 (0x00007f07ecac8000)
	libcom_err.so.2 => /lib64/libcom_err.so.2 (0x00007f07ec8c3000)
	libk5crypto.so.3 => /lib64/libk5crypto.so.3 (0x00007f07ec698000)
	libz.so.1 => /lib64/libz.so.1 (0x00007f07ec481000)
	libattr.so.1 => /lib64/libattr.so.1 (0x00007f07ec27b000)
	libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007f07ec066000)
	libkrb5support.so.0 => /lib64/libkrb5support.so.0 (0x00007f07ebe5a000)
	libkeyutils.so.1 => /lib64/libkeyutils.so.1 (0x00007f07ebc57000)
	libresolv.so.2 => /lib64/libresolv.so.2 (0x00007f07eba3d000)
	libselinux.so.1 => /lib64/libselinux.so.1 (0x00007f07eb81b000)


The not found library is visible but is present in the directory : 


[root@mgblcof01 syslog-ng]# ll -h libsyslog-ng-crypto*
total 744K
-rwxr-xr-x. 1 root root  27K Aug 14 12:05 libsyslog-ng-crypto.so
Comment 31 Sebastien Pasche 2012-08-14 08:31:27 EDT
Created a at [root@mgblcof01 syslog-ng]# vim /etc/ld.so.conf.d/syslog-ng.conf with the path then I retry :


[root@mgblcof01 syslog-ng]# syslog-ng --version
syslog-ng 3.3.5.90
Installer-Version: 3.3.5.90
Revision: 
Compile-Date: Aug 14 2012 12:05:47
Default-Modules: affile,afprog,afsocket,afuser,basicfuncs,csvparser,dbparser,syslogformat,afsql
Error opening plugin module; module='afsocket-notls', error='//usr/lib64/syslog-ng/libafsocket-notls.so: undefined symbol: tls_context_setup_session'
Available-Modules: afsocket-tls,dbparser,afuser,syslogformat,afprog,confgen,csvparser,affile,dummy,basicfuncs,afsocket,afmongodb,tfjson,afsql,convertfuncs
Enable-Debug: off
Enable-GProf: off
Enable-Memtrace: off
Enable-IPv6: on
Enable-Spoof-Source: on
Enable-TCP-Wrapper: on
Enable-Linux-Caps: on
Enable-Pcre: on

So we should add this file to the rpm or move the libs to the right directory :-)

Now working on the tls_context_setup_session symbol..
Comment 32 Sebastien Pasche 2012-08-14 08:51:18 EDT
seem to be a compilation issue but I don't know what ...
Comment 33 Jose Pedro Oliveira 2012-08-17 17:57:34 EDT
Sebastien,

Thanks for testing syslog-ng-3.3.6-0.3.0 and reporting the problems you have found.  I've already created a new SRPM that fixes the configuration file problem and updates the syslog-ng source tarball to a new upstream snapshot.



New SRPM:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-0.4.0.fc17.src.rpm


---------------------
$ rpmdiff syslog-ng-3.3.6-0.3.0.fc17.src.rpm syslog-ng-3.3.6-0.4.0.fc17.src.rpm
removed     syslog-ng-3.3.5.90-20120704-v3.3.5-34-g44587.tar.gz
added       syslog-ng-3.3.5.90-20120810-v3.3.5-43-g19f6c.tar.gz
S.5.......T syslog-ng.conf
S.5.......T syslog-ng.spec

$ rpmdev-diff syslog-ng-3.3.6-0.3.0.fc17.src.rpm syslog-ng-3.3.6-0.4.0.fc17.src.rpm
...
diff -r -Nup syslog-ng-3.3.6-0.3.0.fc17.x86_64/syslog-ng.conf syslog-ng-3.3.6-0.4.0.fc17.x86_64/syslog-ng.conf
--- syslog-ng-3.3.6-0.3.0.fc17.x86_64/syslog-ng.conf	2011-12-17 04:52:29.000000000 +0000
+++ syslog-ng-3.3.6-0.4.0.fc17.x86_64/syslog-ng.conf	2012-08-17 21:52:44.000000000 +0100
@@ -12,7 +12,7 @@ options {
 	flush_lines (0);
 	time_reopen (10);
 	log_fifo_size (1000);
-	long_hostnames (off);
+	chain_hostnames (off);
 	use_dns (no);
 	use_fqdn (no);
 	create_dirs (no);
...


Output that was produced due to the obsolete v3.3 long_hostnames option [1]:
----
#  /usr/sbin/syslog-ng -f /etc/syslog-ng/syslog-ng.conf
Your configuration file uses an obsoleted keyword, please update your configuration; keyword='long_hostnames', change='chain_hostnames'
---------------------



Regarding the undefined symbol tls_context_setup_session
    ----
    Error opening plugin module; module='afsocket-notls', error='//usr/lib64/syslog-ng/libafsocket-notls.so: undefined symbol: tls_context_setup_session'
    ----
and the ld.so library path problem [2], I'll contact the upstream authors.

/jpo


[1] -  from the syslog-ng v3.3 configuration file parser:
lib/cfg-parser.c:  { "long_hostnames",     KW_CHAIN_HOSTNAMES, 0, KWS_OBSOLETE, "chain_hostnames" },


[2] - all modules with the exception of libsyslog-ng-crypto.so are loaded
from the syslog-ng modules directory (/usr/lib64/syslog-ng/ in this system)

# strace -e trace=file /usr/sbin/syslog-ng --version
----
...
access("//usr/lib64/syslog-ng/libafsocket-tls.so", F_OK) = 0
stat("//usr/lib64/syslog-ng/libafsocket-tls.so", {st_mode=S_IFREG|0755, st_size=103560, ...}) = 0
open("//usr/lib64/syslog-ng/libafsocket-tls.so", O_RDONLY|O_CLOEXEC) = 4
open("/etc/ld.so.cache", O_RDONLY|O_CLOEXEC) = 4
open("/lib64/tls/libsyslog-ng-crypto.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/lib64/libsyslog-ng-crypto.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib64/tls/libsyslog-ng-crypto.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
open("/usr/lib64/libsyslog-ng-crypto.so", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
Error opening plugin module; module='afsocket-tls', error='libsyslog-ng-crypto.so: cannot open shared object file: No such file or directory'
...
----
Comment 34 Jose Pedro Oliveira 2012-08-19 10:51:59 EDT
Upstream ticket regarding the undefined symbol and the ld.so library path:
 * https://bugzilla.balabit.com/show_bug.cgi?id=188

Note: upstream feedback already available (comment #2)
Comment 35 Jose Pedro Oliveira 2012-08-19 11:27:19 EDT
New SRPM:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-0.4.1.fc17.src.rpm

Changelog:
- install a ld.so conf file so that the private shared library -
  libsyslog-ng-crypto - can be found.

Todo:
- try the upstream suggested work around for the undefined symbol
Comment 36 Jose Pedro Oliveira 2012-08-20 01:37:43 EDT
New SRPM:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-0.4.2.fc17.src.rpm

Changelog:
- Don't ship afsocket-notls.so: work around for the tls_context_setup_session
  undefined symbol problem (https://bugzilla.balabit.com/show_bug.cgi?id=188#c2)
Comment 37 Sebastien Pasche 2012-08-20 01:40:26 EDT
I'll try this new src.rpm this week and give you my feedback !
Comment 39 Jose Pedro Oliveira 2012-08-30 14:30:19 EDT
SRPM:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-2.fc17.src.rpm

Changelog:
- syslog-ng.conf: make the s_sys source more compliant with the one
  generated by generate-system-source.sh
Comment 40 Jose Pedro Oliveira 2012-09-01 12:54:37 EDT
SRPM:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.6-3.fc17.src.rpm

Changelog:
- upstream patches for bugs #188 (undef symbol), #189, and #191.
- syslog-ng.conf now sources the configuration files /etc/syslog-ng/conf.d/*.conf
Comment 41 Sebastien Pasche 2012-09-02 01:41:32 EDT
I'm not at work next week (only on monday) so I will try this release the week after :-) !
Comment 42 Jose Pedro Oliveira 2012-09-07 07:28:14 EDT
SRPM:
http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.7-0.1.fc17.src.rpm

Source tarball:
syslog-ng-3.3.6.90-20120906-v3.3.6.90.tar.gz
(from http://packages.madhouse-project.org/syslog-ng/3.3/3.3.6.90/)

Fedora 17 x86_64 RPMS and build logs:
http://um-pe09-2.di.uminho.pt/fedora/build.logs/fedora-17-x86_64/syslog-ng-3.3.7-0.1.fc17/
Comment 43 Sebastien Pasche 2012-09-20 15:33:10 EDT
What do you think about moving the the configuration files "/etc/syslog-ng/conf.d/*.conf" inclusion from the top of the file to the area just before the "log-statements" or at the end of the file?

That will allow users to customize almost everything they want (like allowing syslog-ng to create directory :-), etc).
Comment 44 Sebastien Pasche 2012-10-05 11:07:02 EDT
I posted a message on the syslog-ng mailling about a strange error in /var/log/message related to GPF and syslog-ng

Oct  5 16:54:01 mgblcof01 kernel: [1284555.180325] syslog-ng[9735]
general protection ip:36104616f2 sp:7fba6e3304a0 error:0 in
libglib-2.0.so.0.3200.4[3610400000+11d000]


OS :

[root@mgblcof01 ]# uname -a
Linux mgblcof01 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug 29 18:46:34 UTC 2012
x86_64 x86_64 x86_64 GNU/Linux


I keep you informed if there is something linked with a missing patch !

Best 

Seb
Comment 45 Jose Pedro Oliveira 2012-10-06 17:42:09 EDT
I've just opened a ticket with a review request for the ivykis library.
Reviewers are welcome :)

 * Review Request: ivykis - Library for asynchronous I/O readiness notification
   https://bugzilla.redhat.com/show_bug.cgi?id=863719

/jpo
Comment 46 Matthias Runge 2012-10-08 02:50:30 EDT
(In reply to comment #45)
> I've just opened a ticket with a review request for the ivykis library.
> Reviewers are welcome :)
> 
>  * Review Request: ivykis - Library for asynchronous I/O readiness
> notification
>    https://bugzilla.redhat.com/show_bug.cgi?id=863719
> 
> /jpo

Hey,

I'm honestly sorry, to have slipped that so long. Especially opening a review for ivykis has been on my todo list for about 2 months now.

Thanks a lot!

Matthias
Comment 47 Jose Pedro Oliveira 2012-10-09 03:34:59 EDT
ivykis 0.30.4 has been imported and built for F17, F18, rawhide, and EPEL6.  The binary RPMS should start appearing in the mirrors (rawhide, *-testing) in the next hours/days.  

Ivykis koji builds:
 * http://koji.fedoraproject.org/koji/packageinfo?packageID=14825
Comment 48 Jose Pedro Oliveira 2012-10-09 03:37:12 EDT
New syslog-ng SRPM:
 * http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.3.7-0.3.fc17.src.rpm

Changes:
 - Update to 3.3.7 RC2 (aka syslog-ng-3.3.6.91-20121008-v3.3.6.91.tar.gz)
 - Include additional configuration files at the end of syslog-ng.conf
Comment 49 Jose Pedro Oliveira 2012-10-18 15:56:46 EDT
(In reply to comment #47)
> ivykis 0.30.4 has been imported and built for F17, F18, rawhide, and EPEL6. 
> The binary RPMS should start appearing in the mirrors (rawhide, *-testing)
> in the next hours/days.  
> 
> Ivykis koji builds:
>  * http://koji.fedoraproject.org/koji/packageinfo?packageID=14825

ivykis 0.30.4 status update:

 * Fedora : already in the stable updates repos;

 * EPEL6  : still in the epel-testing repos
            (one more week before it can be pushed to stable)
Comment 50 Jose Pedro Oliveira 2012-10-18 16:10:29 EDT
I've just build/pushed "syslog-ng-3.3.7-0.1.rc2" for rawhide.  This is basically a rename of "syslog-ng-3.3.7-0.3" with the 3.3.x changelog entries collapsed into two.

The syslog-ng-3.3.7-0.1.rc2.fc19 RPMS should appear tomorrow in the rawhide mirrors. For the time being they can be downloaded from:

 * http://koji.fedoraproject.org/koji/buildinfo?buildID=361013

I've also made a scratch build for Fedora 18

 * http://koji.fedoraproject.org/koji/taskinfo?taskID=4605441

but I've no plans of pushing it to F18 until upstream releases the final 3.3.7 version.


Note: the specfile and configuration files changes from the previous pushed version (syslog-ng-3.2.4-16) to this one can be viewed here:

 * http://um-pe09-2.di.uminho.pt/fedora/syslog-ng-3.2.5-16.fc18-to-3.3.7-0.1.rc2.fc19.diff.txt

/jpo
Comment 51 Fedora Update System 2012-10-30 19:55:43 EDT
syslog-ng-3.3.7-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/syslog-ng-3.3.7-1.fc18
Comment 52 Fedora Update System 2012-10-31 14:12:14 EDT
Package syslog-ng-3.3.7-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing syslog-ng-3.3.7-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17360/syslog-ng-3.3.7-1.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.